# ppmdim

Updated: June 2002
Table Of Contents

## NAME

ppmdim - dim a PPM image

## SYNOPSIS

ppmdim dimfactor [ppmfile]

## DESCRIPTION

This program is part of Netpbm.

This program is largely obsoleted by the more general pamfunc (use the -multiplier option). ppmdim remains for backward compatibility and also because its use of integer arithmetic may make it faster. ppmdim reads a PPM image input and diminishes its brightness by the specified dimfactor. The dimfactor may be in the range from 0.0 (total blackness, deep night, nada, null, nothing) to 1.0 (original picture's brightness).

## SEE ALSO

ppm, pamfunc,

## AUTHOR

Copyright (C) 1993 by Frank Neumann

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR